Name:           scim-input-pad
Version:        0.1.1
Release:        7%{?dist}
Summary:        On-screen Input Pad for SCIM

Group:          System Environment/Libraries
License:        GPL
URL:            http://www.scim-im.org/
Source0:        http://dl.sourceforge.net/sourceforge/scim/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0:         scim-input-pad-rpath.patch
Patch1:         scim-input-pad-libexecdir.patch

BuildRequires:  scim-devel
# patch1 touches configure.ac
BuildRequires:  autoconf
Requires:       scim

%description
Scim-input-pad is an on-screen input pad used to input symbols easily.

%prep
%setup -q
%patch0 -p0 -b .0-rpath
%patch1 -p1 -b .1-libexec
# patch1 touches configure.ac
autoconf

%build
%configure --disable-static --disable-rpath
make %{?_smp_mflags}


%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

rm ${RPM_BUILD_ROOT}/%{_libdir}/scim-1.0/*/Helper/input-pad.la
rm ${RPM_BUILD_ROOT}/%{_libdir}/libscim-input-pad.{la,so}

%find_lang %{name}


%clean
rm -rf ${RPM_BUILD_ROOT}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README ChangeLog
%{_bindir}/scim-input-pad
%{_libdir}/libscim-input-pad.so.*
%{_libdir}/scim-1.0/*/Helper/input-pad.so
%{_datadir}/scim/icons/input-pad.png
%{_datadir}/scim/input-pad


%changelog
* Wed Nov  1 2006 Jens Petersen <petersen@redhat.com> - 0.1.1-7
- run autoconf for scim-input-pad-libexecdir.patch
- remove %%with_libstdc_preview

* Sun Sep 17 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.1.1-6
- mass rebuilding

* Fri Aug  4 2006 Jens Petersen <petersen@redhat.com> - 0.1.1-5
- fix libexecdir in wrapper script for new module path

* Tue Apr  4 2006 Jens Petersen <petersen@redhat.com> - 0.1.1-4
- rebuild without libstdc++so7

* Mon Feb 13 2006 Jens Petersen <petersen@redhat.com> - 0.1.1-3
- build conditionally with libstdc++so7 preview library (#166041)
  - add with_libstdc_preview switch and tweak libtool to link against it
- update filelist since moduledir is now api-versioned

* Sun Feb 12 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.1.1-2
- a little cleanup

* Fri Dec 23 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.1.1-1
- update to 0.1.1
- get rid of the patch for irregal casting

* Sat Oct 22 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net>
- reimport sourcefiles.

* Sat Oct 8 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net>
- initial packaging for Extras.
- add scim-input-pad-0.1.0-casts.patch from cvs to fix build on gcc4

* Sat Mar 5 2005 James Su <suzhe@tsinghua.org.cn>
- first release of scim-input-pad.
